4.3.14 conflicts with anti-virus packages.

Discussions related to using VirtualBox on Windows hosts.

Re: 4.3.14 conflicts with anti-virus packages.

Postby azdvd » 21. Jul 2014, 19:15

Similar problem on Windows 7 Pro x64:

A/V: FortiClient 5.0.0.347

Screenshots attached.

Thanks!

VB Error Screen Captures.jpg
Error window screen captures
VB Error Screen Captures.jpg (125.37 KiB) Viewed 4281 times
azdvd
 
Posts: 1
Joined: 21. Jul 2014, 19:01

Re: 4.3.14 conflicts with anti-virus packages.

Postby TrentonDAdams » 21. Jul 2014, 19:46

I'm seeing this problem, but it seems to have nothing to do with the virus scanner. I unloaded trend micro virus scanner, and the problem still occurs. If I downgrade to 4.3.10 virtualbox works just fine.
TrentonDAdams
 
Posts: 1
Joined: 21. Jul 2014, 19:09

Re: 4.3.14 conflicts with anti-virus packages.

Postby brw1 » 21. Jul 2014, 20:30

I have Windows 7 Professional, 64-bit. I had no problem running the upgrade but when starting up the guest I get the same error as other Windows users already noted, so I had to revert back to 4.3.12. My antivirus is part of the Norton Internet Security package. Note that both the Norton and Windows itself are completely up to date with all security patches, etc.
brw1
 
Posts: 4
Joined: 21. Jul 2014, 20:27

Re: 4.3.14 conflicts with anti-virus packages.

Postby TSKRICH » 21. Jul 2014, 20:36

All I want to know is if there will be a resolution to the problem or not. I'm having the same problems as all of the others and do not have ANY AV installed currently.
TSKRICH
 
Posts: 2
Joined: 19. Apr 2014, 15:53

Re: 4.3.14 conflicts with anti-virus packages.

Postby csmccarron » 21. Jul 2014, 21:12

Same problem. Reverted back to 4.3.12. Using Symantec 12.1.4100.4126.
csmccarron
 
Posts: 18
Joined: 21. Aug 2013, 16:18

Re: 4.3.14 conflicts with anti-virus packages.

Postby cgill27 » 21. Jul 2014, 22:23

Upgraded from 4.3.12 to 4.3.14 and get below error when launching VirtualBox:

(Windows 8.1 Pro, no anti-virus installed)

vbox_4314_error1.jpg
vbox_4314_error1.jpg (78.15 KiB) Viewed 4206 times
cgill27
 
Posts: 2
Joined: 21. Jul 2014, 22:20

Re: 4.3.14 conflicts with anti-virus packages.

Postby JavierP » 21. Jul 2014, 23:14

I have the same error with Comodo Internet Security only with the Firewall module. Uninstalling Comodo, VirtualBox runs ok. I attached the error as an screen capture. I have Windows 7 SP1 32bits with all updates installed and Comodo Firewall 7.
screenshot.7.jpg
screenshot.7.jpg (49.98 KiB) Viewed 4190 times
JavierP
 
Posts: 1
Joined: 21. Jul 2014, 22:29

Re: 4.3.14 conflicts with anti-virus packages.

Postby digigirl16 » 22. Jul 2014, 00:33

The program will neither run, allow me to do a repair or allow me to remove it. Is there a special program to remove it. I cannot even install an earlier version due to the issues 4.3.14
digigirl16
 
Posts: 1
Joined: 22. Jul 2014, 00:31

Re: 4.3.14 conflicts with anti-virus packages.

Postby skeeter_mcbee » 22. Jul 2014, 01:54

I too had this problem. Running Windows 8.1 updated to the latest version (as of this posting). Changing from 4.3.14 to 4.3.12 is the solution for the time being. I suggest putting a disclaimer somewhere in the downloads page that an anti-virus software is most likely going to refuse Virtual Machines on Windows hosts. It took me nearly a week to figure out what was wrong with my software.
skeeter_mcbee
 
Posts: 7
Joined: 18. Jul 2014, 00:02
Location: Portland, OR
Primary OS: Ubuntu other
VBox Version: OSE Debian
Guest OSses: Kali Linux

Re: 4.3.14 conflicts with anti-virus packages.

Postby Nap » 22. Jul 2014, 02:45

I'm having the same issue with Prio (prnwatch . com/prio/) running on my system.

See image at:
img .photobucket [dot] com/albums/v631/Napoleon_BlownApart/Problem_with_Prio.png
(You must be a member for 1 days and have 1 posts before you can post urls.)

Hope this gets fixed, Prio is an important security tool in my system.

After uninstalling Prio, I get the same error but the cause has changed... It now reports "Unknown image file"
img .photobucket [dot]com/albums/v631/Napoleon_BlownApart/Problem_with_VB.png

I'm reverting to an older version of VirtualBox. :(

Cheers,
Nap
Nap
 
Posts: 20
Joined: 22. Jul 2014, 02:06

Re: 4.3.14 conflicts with anti-virus packages.

Postby Hasselhoff » 22. Jul 2014, 04:53

I see lots of mentions of rolling back to earlier versions of VirtualBox - where do I get one? The website only offers the most current (apparently problematic) version: 4.3.14.
Hasselhoff
 
Posts: 1
Joined: 22. Jul 2014, 04:40

Re: 4.3.14 conflicts with anti-virus packages.

Postby cwahlgren » 22. Jul 2014, 06:35

Hasselhoff wrote:I see lots of mentions of rolling back to earlier versions of VirtualBox - where do I get one? The website only offers the most current (apparently problematic) version: 4.3.14.

On the Download page, a bit further down there is a link to VirtualBox older builds:
https://www.virtualbox.org/wiki/Download_Old_Builds
cwahlgren
 
Posts: 17
Joined: 10. Jul 2014, 17:24
Location: Stockholm, Sweden
Primary OS: Linux other
VBox Version: PUEL
Guest OSses: CentOS 5,6,7

Re: 4.3.14 conflicts with anti-virus packages.

Postby mcc2460206451 » 22. Jul 2014, 07:22

I'm currently receiving an error that is similar to the one in ticket #13200 (I am unable to post URLs due to forum restrictions). However, the driver mentioned in the error message is different.

Here's a screenshot of the error:
Capture.PNG
Capture.PNG (11.66 KiB) Viewed 4072 times


According to the ticket, this error has something to do with process hooks used by NVIDIA drivers that are similar to those used in anti-virus software. However, the driver in the error message is not detoured.dll but nvinitx.dll (not sure if that driver contains process hooks). At least one other user on this forum has received this error, if you follow the linked forum topic.

I am currently running Windows 8.1 Pro 64-bit with Windows Defender and Malwarebytes Anti-Malware (Premium). Graphics card is a GeForce GT 540M + Intel integrated (Sandy Bridge). Driver version is NVIDIA 340.43 beta, I've tried downgrading to 337.88 and still had this error. Intel drivers are at latest version.
mcc2460206451
 
Posts: 1
Joined: 22. Jul 2014, 06:30

Re: 4.3.14 conflicts with anti-virus packages.

Postby Jonas H » 22. Jul 2014, 09:42

Hi,

I'm running a host with Windows 8.1 and am getting the following error when trying to start a previously working VM with 4.3.14. It doesn't help to start VBox as Administrator but downgrading worked.

VBox4.3.14.error.jpg
VBox4.3.14.error.jpg (46.94 KiB) Viewed 4032 times


Brgds

Jonas
Jonas H
 
Posts: 25
Joined: 9. Nov 2012, 14:49

Re: 4.3.14 conflicts with anti-virus packages.

Postby CaptainFlint » 22. Jul 2014, 11:02

I'm sorry if I missed a clearer explanation in this long thread, but did I understand correctly that VB refuses to launch if ANY third-party DLL is simply injected into its process? Or is it some specific kind of injection, or injection followed by some specific actions?

If any injection is treated as a "threat", then anti-virus software is a sheer minority of possible causes of this problem! There is a huge variety of applications, thousands at the minimum, which use DLL injection for absolutely legitimate purpose. Not to mention software developers who will be unable to use VB simply because they are developing an application which uses hooks and which, being constantly updated during development, has absolutely no chance to get into the white list. I think, if the developers are intent on keeping the new "feature" along with the white list, they should make it possible to turn it off completely for those users who know what they are doing and what they are risking.
CaptainFlint
 
Posts: 103
Joined: 9. Oct 2007, 10:17
Location: Moscow, Russia
Primary OS: MS Windows 7
VBox Version: PUEL
Guest OSses: Various Windows and Linux distros

PreviousNext

Return to VirtualBox on Windows Hosts

Who is online

Users browsing this forum: No registered users and 50 guests